<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'demo-form',
	'enableAjaxValidation'=>false,
)); ?>
	
	<?php echo $form->errorSummary($model); ?>
    <h4>Demo 1</h4>
	<div class="row">				
        <?php $this->widget(
            'ext.textboxHinter.JTextboxHinter',
            array(
                'model'=>$model,
                'attribute'=>'demo1',
                'htmlOptions'=>array('size'=>60,'maxlength'=>128),
                'text' => 'A hint for this textbox'
            ));
        ?>
		<?php echo $form->error($model,'demo1'); ?>
	</div>
    <h4>Demo 2</h4>
	<div class="row">        
        <?php $this->widget(
            'ext.textboxHinter.JTextboxHinter',
            array(
                'model'=>$model,
                'attribute'=>'demo2',
                'htmlOptions'=>array('rows'=>6, 'cols'=>50),
                'text' => 'A hint can be added to a <textarea> also',
                'textArea' => true,
            ));
        ?>
		<?php echo $form->error($model,'demo2'); ?>
	</div>
    <h4>Demo 3</h4>
	<div class="row">
        <?php $this->widget(
            'ext.textboxHinter.JTextboxHinter',
            array(
                'model'=>$model,
                'attribute'=>'demo3',
                'htmlOptions'=>array('size'=>60,'maxlength'=>128),
                'text' => 'A default class can be added to the hint text like this',
                'class' => 'greyText',
            ));
        ?>
		<?php echo $form->error($model,'demo3'); ?>
	</div>
    <h4>Demo 4</h4>
	<div class="row">        
        <?php $this->widget(
            'ext.textboxHinter.JTextboxHinter',
            array(
                'model'=>$model,
                'attribute'=>'demo4',
                'htmlOptions'=>array('rows'=>6, 'cols'=>50),
                'text' => 'Styling can also be done here',
                'class' => 'greyTextItalics',
                'textArea' => true,
            ));
        ?>
        <?php echo $form->error($model,'demo4'); ?>
	</div>
    <h4>Demo 5</h4>
	<div class="row">
        <?php $this->widget(
            'ext.simpleFilter.JSimpleFilter',
            array(
                'model'=>$model,
                'attribute'=>'country',
                'htmlOptions'=>array('size'=>65),
                'data'=>array('Germany','USA','Russia','Bulgaria','Japan'),
                'showAll' => true,
                'position' => 1,
            ));
        ?>
        <?php $this->widget(
            'ext.textboxHinter.JTextboxHinter',
            array(
                'model'=>$model,
                'attribute'=>'country',
                'text' => 'Enter a country ...',
                'class' => 'greyTextItalics',
                'onlyScript' => true,
            ));
        ?>
        <?php echo $form->error($model,'country'); ?>
	</div>


	<div class="row buttons">
		<?php echo CHtml::submitButton('Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
<p class="highlight">
	You can read the code of this page by opening
	the file <tt><?php echo __FILE__; ?></tt> with your IDE.
</p>